Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.runtime.preferences
Class IEclipsePreferences.NodeChangeEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.core.runtime.preferences.IEclipsePreferences.NodeChangeEvent

All Implemented Interfaces:
  Serializable

Enclosing class:
  IEclipsePreferences

public static final class IEclipsePreferences.NodeChangeEvent
extends EventObject

An event object which describes the details of a change in the preference node hierarchy. The child node is the one which was added or removed.

Since:
  3.0
See Also:
  `IEclipsePreferences.INodeChangeListener`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`IEclipsePreferences.NodeChangeEvent(Preferences parent, Preferences child)` Constructor for a new node change event object.

Method Summary
`Preferences` | `getChild()` Return the child node for this event.
`Preferences` | `getParent()` Return the parent node for this event.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IEclipsePreferences.NodeChangeEvent

    public IEclipsePreferences.NodeChangeEvent(Preferences parent,
                                               Preferences child)

  Constructor for a new node change event object.

Parameters:
  `parent` - the parent node
  `child` - the child node

Method Detail

### getParent

    public Preferences getParent()

  Return the parent node for this event. This is the parent of the node which was added or removed.

  Returns:
    the parent node

### getChild

    public Preferences getChild()

  Return the child node for this event. This is the node which was added or removed.

  Note: The child node may have been removed as a result of the bundle supplying its implementation being un-installed. In this case the only method which can safely be called on the child is #name().

  Returns:
    the child node

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.